/* pvxutils.h*/
/* support for POLISH, CRACK, etc. ex-CDPLIB, etc */
#define	LRPN 200			/* longest possible expression */
#define	UNOPS "{-}"			/* unary operators for polish() */ 
#define	BINOPS "{^,%}{*,/}{+,-}"	/* binary operators for polish() */
#define	POSTOPS "{dB,K,k,S,s,sec,secs,m,ms,L,C,R}" /* postops for polish() */
#define EXUNOPS "{sin,cos,atan,ln,exp,floor,abs,rand,sqrt}{-}"
#define EXPOSTOPS "{dB,K,k,Deg,invs,MM}"
#define SFPOSTOPS "{dB,K,k,S,s,m,ms}"




typedef struct func {
	char *ftype;	/* function type: MONO_IN_X, or XY_PAIRS */
	char *fname;	/* function name */
	long flen;	/* function length */
	double *fxval;	/* x function values */
	double *fyval;	/* y function values */
}FUNCTION;


char *polish(char *expression,char *unops,char *binops,char *postops);
double sfexpr(char *string,double timefac);
int sffield(char **input,char *string,char *iglist,char *brklist);
char crack(int argc,char **argv,char *flags,int ign);


/* crack.c*/
extern int arg_index;
extern char *arg_option;
extern char *pvcon;
